#include <stdint.h>
#include <time.h>
#include <stdio.h>
#include "gol_benchmark.h"

#define NUM_GENS    1000000UL

/*external function for the benchmark timing*/
int32_t Get_Time(void)
{
    time_t systime = time(NULL);
    return((int32_t) systime); 
}

int main(void)
{
    int32_t runtime;
    
    printf("\r\n running  8 bit benchmark with %lu generations...\r\n", NUM_GENS);
    runtime = Gol_Benchmark_8(NUM_GENS);
    printf(" time needed: %ld seconds", (signed long) runtime);
    
    printf("\r\n running 32 bit benchmark with %lu generations...\r\n", NUM_GENS);
    runtime = Gol_Benchmark_32(NUM_GENS);
    printf(" time needed: %ld seconds", (signed long) runtime);
    
    return 0;
}
